import { ResultAsync } from "@test-org122/hypernet-core";
import { IConnectorAuthorizationFlowParams, IHypernetWebIntegration, IRenderParams, IRenderPaymentWidgetParams } from "@web-integration/src/interfaces/app/IHypernetWebIntegration";
import IHypernetIFrameProxy from "@web-integration/src/interfaces/proxy/IHypernetIFrameProxy";
export default class HypernetWebIntegration implements IHypernetWebIntegration {
    private static instance;
    protected iframeURL: string;
    protected iframeContainer: HTMLElement;
    core: IHypernetIFrameProxy;
    constructor(iframeURL?: string);
    protected getReadyResult: ResultAsync<IHypernetIFrameProxy, Error> | undefined;
    getReady(): ResultAsync<IHypernetIFrameProxy, Error>;
    static getInstance(): IHypernetWebIntegration;
    private generateDomElement;
    private removeExistedElement;
    private bootstrapComponent;
    renderBalancesWidget(config?: IRenderParams): Promise<void>;
    renderFundWidget(config?: IRenderParams): Promise<void>;
    renderLinksWidget(config?: IRenderParams): Promise<void>;
    renderPaymentWidget(config?: IRenderPaymentWidgetParams): Promise<void>;
    renderConnectorAuthorizationFlow(config: IConnectorAuthorizationFlowParams): Promise<void>;
}
//# sourceMappingURL=HypernetWebIntegration.d.ts.map